package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicSortCategory {
    public static final String HOME_PAGE_SORT = "首页排序";
    public static final String DEFAULT_SORT = "默认排序";
    public static final String SELECTION_SORTING = "精选排序";

    private static DicSortCategory instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicSortCategory(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(HOME_PAGE_SORT, HOME_PAGE_SORT);
        dicMap.put(DEFAULT_SORT, DEFAULT_SORT);
        dicMap.put(SELECTION_SORTING, SELECTION_SORTING);
    }

    public static DicSortCategory getInstacne(){
        if (instance == null)
        {
            instance = new DicSortCategory();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
